package com.prolog.cs.biz.inbound.remote.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 *
 * ASN订单汇总DTO
 *
 *
 */
public class OmsAsnBillHDTO implements Serializable {

	private static final long serialVersionUID = 6451679429536530507L;

	@ApiModelProperty(value = "ID")
	private String billid;

	@ApiModelProperty(value = "ASN单号")
	private String billno;

	@ApiModelProperty(value = "ASN类型")
	private String billtype;

	@ApiModelProperty(value = "ASN单来源单据类型")
	private String refBilltype;

	@ApiModelProperty(value = "来源单据id")
	private String refBillid;

	@ApiModelProperty(value = "来源单据号")
	private String refBillno;

	@ApiModelProperty(value = "发货单位类型")
	private String shipperType;

	@ApiModelProperty(value = "发货单位id")
	private String shipperId;

	@ApiModelProperty(value = "发货单位名称")
	private String shipperName;

	@ApiModelProperty(value = "发货单位国编号")
	private String shipmentCountryNo;

	@ApiModelProperty(value = "发货单位国")
	private String shipmentCountryName;

	@ApiModelProperty(value = "发货单位省编号")
	private String shipmentProvinceNo;

	@ApiModelProperty(value = "发货单位省")
	private String shipmentProvinceName;

	@ApiModelProperty(value = "发货单位市编号")
	private String shipmentCityNo;

	@ApiModelProperty(value = "发货单位市")
	private String shipmentCityName;

	@ApiModelProperty(value = "发货单位区/县编号")
	private String shipmentDistrictNo;

	@ApiModelProperty(value = "发货单位区/县")
	private String shipmentDistrictName;

	@ApiModelProperty(value = "发货单位街道/乡镇编号")
	private String shipmentTownNo;

	@ApiModelProperty(value = "发货单位街道/乡镇")
	private String shipmentTownName;

	@ApiModelProperty(value = "发货单位社区/村编号")
	private String shipmentCommunityNo;

	@ApiModelProperty(value = "发货单位街社区/村")
	private String shipmentCommunityName;

	@ApiModelProperty(value = "发货单位详细地址")
	private String shipmentAddress;

	@ApiModelProperty(value = "货主id")
	private String consignorid;

	@ApiModelProperty(value = "货主名称")
	private String consignorname;

	@ApiModelProperty(value = "入库仓库id")
	private String branchid;

	@ApiModelProperty(value = "入库仓库编号")
	private String branchcode;

	@ApiModelProperty(value = "入库仓库名称")
	private String branchname;

	@ApiModelProperty(value = "入库仓库库区id")
	private String branchareaid;

	@ApiModelProperty(value = "入库仓库库区")
	private String brancharea;

	@ApiModelProperty(value = "入库仓库详细地址")
	private String branchAddress;

	@ApiModelProperty(value = "商品类别id")
	private String categoryId;

	@ApiModelProperty(value = "运输条件")
	private String shipTerm;

	@ApiModelProperty(value = "到货方式")
	private String arrivalMode;

	@ApiModelProperty(value = "到货方式名称")
	private String arrivalModeName;

	@ApiModelProperty(value = "订单紧急等级")
	private String priorityLevel;

	@ApiModelProperty(value = "订单紧急等级名称")
	private String priorityLevelName;

	@ApiModelProperty(value = "送货人联系方式")
	private String delivererContactTel;

	@ApiModelProperty(value = "运输路线id")
	private String shipLineId;

	@ApiModelProperty(value = "承运商id")
	private String carrierId;

	@ApiModelProperty(value = "承运商名称")
	private String carrierName;

	@ApiModelProperty(value = "采购员名称")
	private String buyerName;

	@ApiModelProperty(value = "采购员联系电话")
	private String buyerTel;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "制单日期")
	private Date billdate;

	@ApiModelProperty(value = "预定到货日")
	private Date attainDate;

	@ApiModelProperty(value = "审核状态")
	private String examineState;

	@ApiModelProperty(value = "总件数")
	private BigDecimal totPcs;

	@ApiModelProperty(value = "总数量")
	private BigDecimal totQty;

	@ApiModelProperty(value = "总重量")
	private BigDecimal totWeight;

	@ApiModelProperty(value = "总体积")
	private BigDecimal totVolume;

	@ApiModelProperty(value = "总未税金额")
	private BigDecimal totNetamt;

	@ApiModelProperty(value = "总含税金额")
	private BigDecimal totAmt;

	@ApiModelProperty(value = "退货原因")
	private String rtReason;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "字符扩展属性1")
	private String attrStr1;

	@ApiModelProperty(value = "字符扩展属性2")
	private String attrStr2;

	@ApiModelProperty(value = "字符扩展属性3")
	private String attrStr3;

	@ApiModelProperty(value = "字符扩展属性4")
	private String attrStr4;

	@ApiModelProperty(value = "字符扩展属性5")
	private String attrStr5;

	@ApiModelProperty(value = "字符扩展属性6")
	private String attrStr6;

	@ApiModelProperty(value = "字符扩展属性7")
	private String attrStr7;

	@ApiModelProperty(value = "字符扩展属性8")
	private String attrStr8;

	@ApiModelProperty(value = "字符扩展属性9")
	private String attrStr9;

	@ApiModelProperty(value = "字符扩展属性10")
	private String attrStr10;

	@ApiModelProperty(value = "数字扩展属性1")
	private BigDecimal attrNum1;

	@ApiModelProperty(value = "数字扩展属性2")
	private BigDecimal attrNum2;

	@ApiModelProperty(value = "数字扩展属性3")
	private BigDecimal attrNum3;

	@ApiModelProperty(value = "数字扩展属性4")
	private BigDecimal attrNum4;

	@ApiModelProperty(value = "数字扩展属性5")
	private BigDecimal attrNum5;

	@ApiModelProperty(value = "日期属性扩展1")
	private Date attrDte1;

	@ApiModelProperty(value = "日期属性扩展2")
	private Date attrDte2;

	@ApiModelProperty(value = "日期属性扩展3")
	private Date attrDte3;

	@ApiModelProperty(value = "日期属性扩展4")
	private Date attrDte4;

	@ApiModelProperty(value = "日期属性扩展5")
	private Date attrDte5;

	@ApiModelProperty(value = "创建人")
	private String createby;

	@ApiModelProperty(value = "创建时间")
	private Date createdate;

	@ApiModelProperty(value = "修改人")
	private String lastmodifyby;

	@ApiModelProperty(value = "修改时间")
	private Date lastmodifydate;

	@ApiModelProperty(value = "企业ID")
	private String penterpriseid;

	@ApiModelProperty(value = "企业名称")
	private String penterprisename;

	public String getBillid() {
		return billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getBilltype() {
		return billtype;
	}

	public void setBilltype(String billtype) {
		this.billtype = billtype;
	}

	public String getRefBilltype() {
		return refBilltype;
	}

	public void setRefBilltype(String refBilltype) {
		this.refBilltype = refBilltype;
	}

	public String getRefBillid() {
		return refBillid;
	}

	public void setRefBillid(String refBillid) {
		this.refBillid = refBillid;
	}

	public String getRefBillno() {
		return refBillno;
	}

	public void setRefBillno(String refBillno) {
		this.refBillno = refBillno;
	}

	public String getShipperType() {
		return shipperType;
	}

	public void setShipperType(String shipperType) {
		this.shipperType = shipperType;
	}

	public String getShipperId() {
		return shipperId;
	}

	public void setShipperId(String shipperId) {
		this.shipperId = shipperId;
	}

	public String getShipperName() {
		return shipperName;
	}

	public void setShipperName(String shipperName) {
		this.shipperName = shipperName;
	}

	public String getShipmentCountryNo() {
		return shipmentCountryNo;
	}

	public void setShipmentCountryNo(String shipmentCountryNo) {
		this.shipmentCountryNo = shipmentCountryNo;
	}

	public String getShipmentCountryName() {
		return shipmentCountryName;
	}

	public void setShipmentCountryName(String shipmentCountryName) {
		this.shipmentCountryName = shipmentCountryName;
	}

	public String getShipmentProvinceNo() {
		return shipmentProvinceNo;
	}

	public void setShipmentProvinceNo(String shipmentProvinceNo) {
		this.shipmentProvinceNo = shipmentProvinceNo;
	}

	public String getShipmentProvinceName() {
		return shipmentProvinceName;
	}

	public void setShipmentProvinceName(String shipmentProvinceName) {
		this.shipmentProvinceName = shipmentProvinceName;
	}

	public String getShipmentCityNo() {
		return shipmentCityNo;
	}

	public void setShipmentCityNo(String shipmentCityNo) {
		this.shipmentCityNo = shipmentCityNo;
	}

	public String getShipmentCityName() {
		return shipmentCityName;
	}

	public void setShipmentCityName(String shipmentCityName) {
		this.shipmentCityName = shipmentCityName;
	}

	public String getShipmentDistrictNo() {
		return shipmentDistrictNo;
	}

	public void setShipmentDistrictNo(String shipmentDistrictNo) {
		this.shipmentDistrictNo = shipmentDistrictNo;
	}

	public String getShipmentDistrictName() {
		return shipmentDistrictName;
	}

	public void setShipmentDistrictName(String shipmentDistrictName) {
		this.shipmentDistrictName = shipmentDistrictName;
	}

	public String getShipmentTownNo() {
		return shipmentTownNo;
	}

	public void setShipmentTownNo(String shipmentTownNo) {
		this.shipmentTownNo = shipmentTownNo;
	}

	public String getShipmentTownName() {
		return shipmentTownName;
	}

	public void setShipmentTownName(String shipmentTownName) {
		this.shipmentTownName = shipmentTownName;
	}

	public String getShipmentCommunityNo() {
		return shipmentCommunityNo;
	}

	public void setShipmentCommunityNo(String shipmentCommunityNo) {
		this.shipmentCommunityNo = shipmentCommunityNo;
	}

	public String getShipmentCommunityName() {
		return shipmentCommunityName;
	}

	public void setShipmentCommunityName(String shipmentCommunityName) {
		this.shipmentCommunityName = shipmentCommunityName;
	}

	public String getShipmentAddress() {
		return shipmentAddress;
	}

	public void setShipmentAddress(String shipmentAddress) {
		this.shipmentAddress = shipmentAddress;
	}

	public String getConsignorid() {
		return consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorname() {
		return consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getBranchid() {
		return branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getBranchcode() {
		return branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getBranchname() {
		return branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getBranchareaid() {
		return branchareaid;
	}

	public void setBranchareaid(String branchareaid) {
		this.branchareaid = branchareaid;
	}

	public String getBrancharea() {
		return brancharea;
	}

	public void setBrancharea(String brancharea) {
		this.brancharea = brancharea;
	}

	public String getBranchAddress() {
		return branchAddress;
	}

	public void setBranchAddress(String branchAddress) {
		this.branchAddress = branchAddress;
	}

	public String getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

	public String getShipTerm() {
		return shipTerm;
	}

	public void setShipTerm(String shipTerm) {
		this.shipTerm = shipTerm;
	}

	public String getArrivalMode() {
		return arrivalMode;
	}

	public void setArrivalMode(String arrivalMode) {
		this.arrivalMode = arrivalMode;
	}

	public String getArrivalModeName() {
		return arrivalModeName;
	}

	public void setArrivalModeName(String arrivalModeName) {
		this.arrivalModeName = arrivalModeName;
	}

	public String getPriorityLevel() {
		return priorityLevel;
	}

	public void setPriorityLevel(String priorityLevel) {
		this.priorityLevel = priorityLevel;
	}

	public String getPriorityLevelName() {
		return priorityLevelName;
	}

	public void setPriorityLevelName(String priorityLevelName) {
		this.priorityLevelName = priorityLevelName;
	}

	public String getDelivererContactTel() {
		return delivererContactTel;
	}

	public void setDelivererContactTel(String delivererContactTel) {
		this.delivererContactTel = delivererContactTel;
	}

	public String getShipLineId() {
		return shipLineId;
	}

	public void setShipLineId(String shipLineId) {
		this.shipLineId = shipLineId;
	}

	public String getCarrierId() {
		return carrierId;
	}

	public void setCarrierId(String carrierId) {
		this.carrierId = carrierId;
	}

	public String getCarrierName() {
		return carrierName;
	}

	public void setCarrierName(String carrierName) {
		this.carrierName = carrierName;
	}

	public String getBuyerName() {
		return buyerName;
	}

	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}

	public String getBuyerTel() {
		return buyerTel;
	}

	public void setBuyerTel(String buyerTel) {
		this.buyerTel = buyerTel;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getBilldate() {
		return billdate;
	}

	public void setBilldate(Date billdate) {
		this.billdate = billdate;
	}

	public Date getAttainDate() {
		return attainDate;
	}

	public void setAttainDate(Date attainDate) {
		this.attainDate = attainDate;
	}

	public String getExamineState() {
		return examineState;
	}

	public void setExamineState(String examineState) {
		this.examineState = examineState;
	}

	public BigDecimal getTotPcs() {
		return totPcs;
	}

	public void setTotPcs(BigDecimal totPcs) {
		this.totPcs = totPcs;
	}

	public BigDecimal getTotQty() {
		return totQty;
	}

	public void setTotQty(BigDecimal totQty) {
		this.totQty = totQty;
	}

	public BigDecimal getTotWeight() {
		return totWeight;
	}

	public void setTotWeight(BigDecimal totWeight) {
		this.totWeight = totWeight;
	}

	public BigDecimal getTotVolume() {
		return totVolume;
	}

	public void setTotVolume(BigDecimal totVolume) {
		this.totVolume = totVolume;
	}

	public BigDecimal getTotNetamt() {
		return totNetamt;
	}

	public void setTotNetamt(BigDecimal totNetamt) {
		this.totNetamt = totNetamt;
	}

	public BigDecimal getTotAmt() {
		return totAmt;
	}

	public void setTotAmt(BigDecimal totAmt) {
		this.totAmt = totAmt;
	}

	public String getRtReason() {
		return rtReason;
	}

	public void setRtReason(String rtReason) {
		this.rtReason = rtReason;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getAttrStr1() {
		return attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrStr3() {
		return attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getAttrStr4() {
		return attrStr4;
	}

	public void setAttrStr4(String attrStr4) {
		this.attrStr4 = attrStr4;
	}

	public String getAttrStr5() {
		return attrStr5;
	}

	public void setAttrStr5(String attrStr5) {
		this.attrStr5 = attrStr5;
	}

	public String getAttrStr6() {
		return attrStr6;
	}

	public void setAttrStr6(String attrStr6) {
		this.attrStr6 = attrStr6;
	}

	public String getAttrStr7() {
		return attrStr7;
	}

	public void setAttrStr7(String attrStr7) {
		this.attrStr7 = attrStr7;
	}

	public String getAttrStr8() {
		return attrStr8;
	}

	public void setAttrStr8(String attrStr8) {
		this.attrStr8 = attrStr8;
	}

	public String getAttrStr9() {
		return attrStr9;
	}

	public void setAttrStr9(String attrStr9) {
		this.attrStr9 = attrStr9;
	}

	public String getAttrStr10() {
		return attrStr10;
	}

	public void setAttrStr10(String attrStr10) {
		this.attrStr10 = attrStr10;
	}

	public BigDecimal getAttrNum1() {
		return attrNum1;
	}

	public void setAttrNum1(BigDecimal attrNum1) {
		this.attrNum1 = attrNum1;
	}

	public BigDecimal getAttrNum2() {
		return attrNum2;
	}

	public void setAttrNum2(BigDecimal attrNum2) {
		this.attrNum2 = attrNum2;
	}

	public BigDecimal getAttrNum3() {
		return attrNum3;
	}

	public void setAttrNum3(BigDecimal attrNum3) {
		this.attrNum3 = attrNum3;
	}

	public BigDecimal getAttrNum4() {
		return attrNum4;
	}

	public void setAttrNum4(BigDecimal attrNum4) {
		this.attrNum4 = attrNum4;
	}

	public BigDecimal getAttrNum5() {
		return attrNum5;
	}

	public void setAttrNum5(BigDecimal attrNum5) {
		this.attrNum5 = attrNum5;
	}

	public Date getAttrDte1() {
		return attrDte1;
	}

	public void setAttrDte1(Date attrDte1) {
		this.attrDte1 = attrDte1;
	}

	public Date getAttrDte2() {
		return attrDte2;
	}

	public void setAttrDte2(Date attrDte2) {
		this.attrDte2 = attrDte2;
	}

	public Date getAttrDte3() {
		return attrDte3;
	}

	public void setAttrDte3(Date attrDte3) {
		this.attrDte3 = attrDte3;
	}

	public Date getAttrDte4() {
		return attrDte4;
	}

	public void setAttrDte4(Date attrDte4) {
		this.attrDte4 = attrDte4;
	}

	public Date getAttrDte5() {
		return attrDte5;
	}

	public void setAttrDte5(Date attrDte5) {
		this.attrDte5 = attrDte5;
	}

	public String getCreateby() {
		return createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getPenterpriseid() {
		return penterpriseid;
	}

	public void setPenterpriseid(String penterpriseid) {
		this.penterpriseid = penterpriseid;
	}

	public String getPenterprisename() {
		return penterprisename;
	}

	public void setPenterprisename(String penterprisename) {
		this.penterprisename = penterprisename;
	}

}
